package com.zm.order.tool.server.tempdb;

import com.zm.order.tool.server.model.MergeOrder;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author nianchang
 * @ClassName IdMapDao
 * @date 2021/10/18 4:36 下午
 */
@Repository
public interface MergeOrderDao {

    int insertList(List<MergeOrder> list);

    List<MergeOrder> selectList(Long orderId);

    List<MergeOrder> selectListById(Long lastId);

    MergeOrder selectOne(String orderNo);

    void update(MergeOrder orderNo);

    List<MergeOrder> selectListByIdSize(Long lastId, int size);

}
